{"swagger":"2.0","info":{"version":"0.0.1","title":"365 Distributor API","description":"Distributor API's for 365 Hub","contact":{"name":"Md. Noor Mohammad Siddique","email":"noor.siddique@metafour.com"}},"paths":{"/suppliers":{"get":{"summary":"Provide a list of suppliers","description":"The Suppliers endpoint returns information about the 365 suppliers.\nThe response includes the display name and other details about each\nsupplier, and lists the suppliers in the proper display order.\n","tags":["Suppliers"],"responses":{"200":{"description":"An array of suppliers","schema":{"type":"array","items":{"$ref":"#/definitions/Supplier"}}}}}},"/suppliers/{id}/products":{"get":{"summary":"Provide a list of products from a supplier","parameters":[{"name":"id","in":"path","description":"Supplier id test","required":true,"type":"string"}],"tags":["Suppliers"],"responses":{"200":{"description":"An array of products from a supplier","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}}}}}},"definitions":{"Supplier":{"type":"object","properties":{"id":{"format":"int32","type":"integer"},"name":{"type":"string"},"status":{"format":"int32","type":"integer"}}},"Product":{"type":"object","properties":{"productId":{"type":"string","description":"Unique Product id"},"description":{"type":"string","description":"Product name"},"options":{"type":"array","items":{"$ref":"#/definitions/Option"}}}},"Option":{"type":"object","properties":{"optionId":{"type":"string","description":"The Option ID"},"productId":{"type":"string","description":"The product the options belongs to"},"name":{"type":"string","description":"The type of option IE Adult, Child"}}}}}